////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//  Copyright (c) GHI Electronics, LLC.
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

using System;
using Microsoft.SPOT;
using Microsoft.SPOT.Presentation.Media;

namespace GHIElectronics.NETMF.Glide
{
    /// <summary>
    /// The Colors class contains a list of defined colors.
    /// </summary>
    public static class Colors
    {
        /// <summary>
        /// Black
        /// </summary>
        public static readonly Color Black = ColorUtility.ColorFromRGB(0, 0, 0);

        /// <summary>
        /// Blue
        /// </summary>
        public static readonly Color Blue = ColorUtility.ColorFromRGB(0, 0, 255);

        /// <summary>
        /// Brown
        /// </summary>
        public static readonly Color Brown = ColorUtility.ColorFromRGB(165, 42, 42);

        /// <summary>
        /// Dark Gray
        /// </summary>
        public static readonly Color DarkGray = ColorUtility.ColorFromRGB(64, 64, 64);

        /// <summary>
        /// Fushia
        /// </summary>
        public static readonly Color Fuchsia = ColorUtility.ColorFromRGB(255, 0, 255);
        
        /// <summary>
        /// Gray
        /// </summary>
        public static readonly Color Gray = ColorUtility.ColorFromRGB(128, 128, 128);
        
        /// <summary>
        /// Green
        /// </summary>
        public static readonly Color Green = ColorUtility.ColorFromRGB(0, 128, 0);

        /// <summary>
        /// Light Gray
        /// </summary>
        public static readonly Color LightGray = ColorUtility.ColorFromRGB(192, 192, 192);

        /// <summary>
        /// Orange
        /// </summary>
        public static readonly Color Orange = ColorUtility.ColorFromRGB(255, 165, 0);

        /// <summary>
        /// Red
        /// </summary>
        public static readonly Color Red = ColorUtility.ColorFromRGB(255, 0, 0);

        /// <summary>
        /// Teal
        /// </summary>
        public static readonly Color Teal = ColorUtility.ColorFromRGB(0, 255, 255);

        /// <summary>
        /// Yellow
        /// </summary>
        public static readonly Color Yellow = ColorUtility.ColorFromRGB(255, 255, 0);

        /// <summary>
        /// White
        /// </summary>
        public static readonly Color White = ColorUtility.ColorFromRGB(255, 255, 255);
    }
}